Libical API Documentation 3.0

Data Structures | Typedefs
vcomponent_cxx.h File Reference

C++ classes for the icalcomponent wrapper (VToDo VEvent, etc..). More...

Go to the source code of this file.

## Data Structures
class | LibICal::VAgenda
class | LibICal::VAlarm
class | LibICal::VCalendar
class | LibICal::VComponent
| A class wrapping the libical icalcomponent functions. More...
class | LibICal::VEvent
class | LibICal::VFreeBusy
class | LibICal::VJournal
class | LibICal::VQuery
class | LibICal::VTimezone
class | LibICal::VToDo
class | LibICal::XDaylight
class | LibICal::XStandard

## Typedefs
typedef ICPointerHolder< LibICal::VComponent > | VComponentTmpPtr

## Detailed Description

C++ classes for the icalcomponent wrapper (VToDo VEvent, etc..).

Author
  fnguyen (12/10/01)

(C) COPYRIGHT 2001, Critical Path

This library is free software; you can redistribute it and/or modify it under the terms of either:

The LGPL as published by the Free Software Foundation, version 2.1, available at: https://www.gnu.org/licenses/lgpl-2.1.html

Or:

The Mozilla Public License Version 2.0. You may obtain a copy of the License at https://www.mozilla.org/MPL/